A work item's general thread and its criterion threads
curl --request GET \
--url https://api.outerlayer.ai/v1/work-items/{workItemId}/threads \
--header 'Authorization: Bearer <token>' \
--header 'X-Outerlayer-App-Id: <api-key>'import requests
url = "https://api.outerlayer.ai/v1/work-items/{workItemId}/threads"
headers = {
"X-Outerlayer-App-Id": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Outerlayer-App-Id': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.outerlayer.ai/v1/work-items/{workItemId}/threads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"criteria": [
{
"comments": [
{
"action": "pass",
"author": {
"kind": "person",
"name": "<string>",
"apiKeyId": "<string>",
"membershipId": "<string>",
"sessionTraceId": "<string>"
},
"body": "<string>",
"createdAt": "<string>",
"id": "<string>",
"unchanged": true,
"artifact": "<string>"
}
],
"criterion": "<string>",
"proof": {
"artifact": "<string>",
"current": true
},
"verdict": "pass",
"waitingOn": "person"
}
],
"general": {
"comments": [
{
"action": "pass",
"author": {
"kind": "person",
"name": "<string>",
"apiKeyId": "<string>",
"membershipId": "<string>",
"sessionTraceId": "<string>"
},
"body": "<string>",
"createdAt": "<string>",
"id": "<string>",
"unchanged": true,
"artifact": "<string>"
}
],
"criterion": "<string>",
"proof": {
"artifact": "<string>",
"current": true
},
"verdict": "pass",
"waitingOn": "person"
}
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Work Items
A work item's general thread and its criterion threads
The item’s general thread plus one thread per acceptance criterion that carries proof or a comment — each with its derived waitingOn, its latest verdict, its proof (if any) and every comment, oldest first.
GET
/
v1
/
work-items
/
{workItemId}
/
threads
A work item's general thread and its criterion threads
